summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD33
2 files changed, 47 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..2ba50c41b9d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = geany-modeline-git
+ pkgdesc = Add modeline support to Geany, a GTK2 code editor.
+ pkgver = r3.b626f01
+ pkgrel = 1
+ url = http://github.com/mjhayes/geany-modeline
+ arch = any
+ license = custom
+ makedepends = git
+ depends = geany
+ source = geany-modeline-git::git://github.com/mjhayes/geany-modeline.git#branch=master
+ md5sums = SKIP
+
+pkgname = geany-modeline-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3c057f361ee
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Eduardo Reveles <me at osiux dot ws>
+pkgname=geany-modeline-git
+pkgver=r3.b626f01
+pkgrel=1
+pkgdesc="Add modeline support to Geany, a GTK2 code editor."
+arch=('any')
+url="http://github.com/mjhayes/geany-modeline"
+license=('custom')
+depends=('geany')
+makedepends=('git')
+source=("${pkgname}::git://github.com/mjhayes/geany-modeline.git#branch=master")
+md5sums=('SKIP')
+
+build() {
+ cd "${srcdir}/${pkgname}"
+
+ make || return 1
+}
+
+ package() {
+ cd "${srcdir}/${pkgname}"
+ make DESTDIR="${pkgdir}/" install
+}
+
+pkgver() {
+ cd "${srcdir}/${pkgname}"
+ ( set -o pipefail
+ # Only uses annotated tags to derive a version number,
+ # add --tags to use un-annotated tags as well
+ git describe --long | sed -r 's/([^-]*-g)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+} \ No newline at end of file